'''
Cafe Ban v1.0
Writen by RideGuy
Concept by Hacker Killer

Bans all STEAMIDs that are suspected to be a cafe account.  All cafe accounts
are 7 digits long and start with 7.  You can prevent legit STEAMIDs that fall
into this criteria from being banned by adding them to the whitelist.txt file.
Example cafe account STEAM_0:x:7xxxxxx
'''

import es
import os

es.ServerVar('cafeban', 1.1).makepublic()

whiteList = []

def load():
    getWhiteList()

def es_map_start(event_var):
    getWhiteList()
    

def player_activate(event_var):
    steamID = event_var['es_steamid']
    
    if len(steamID) != 17:
        return
    
    if steamID[10:11] != '7':
        return
    
    if steamID in whiteList:
        return
    
    es.server.queuecmd('banid 0 %s 1' % steamID)
    bannedListFile = open(os.getcwd() + '/cstrike/addons/eventscripts/cafeban/bannedlist.txt', 'a')
    bannedListFile.write('%s\n' % steamID)
    bannedListFile.flush()
    bannedListFile.close()

def getWhiteList():
    global whiteList
    whitelist = []
    
    whiteListFile = open(os.getcwd() + '/cstrike/addons/eventscripts/cafeban/whitelist.txt', 'r')
    for line in whiteListFile:
        line = line.strip()
        if not line.startswith('//') and line != '':
            whitelist.append(line)